<?php

//ini_set('display_errors',1);

require_once ("../../config/Cado.php");
require_once("../cliente/cCliente.php");
$oCliente = new cCliente();
require_once("../formatos/formato.php");

if($_POST['action_cliente']=="insertar"){
	if(!empty($_POST['txt_cli_doc'])){
		
		
if($_POST['txt_cli_doc']=='00000000'){
$rst1 = 0;
}else{
$cst1 = $oCliente->verifica_cliente_doc($_POST['txt_cli_doc'],0);
		$rst1= mysqli_num_rows($cst1);
	
}

		if($rst1>0)
		{
			$dt = mysqli_fetch_array($cst1);
			$cli_id=$dt['tb_cliente_id'];
			mysqli_free_result($cst1);
			
			$data['cli_id']=$cli_id;
			$data['cli_msj']='Existe cliente con el mismo número de documento '.$_POST['txt_cli_doc'].'.';
		}
		else
		{
				
		$clinom =  $_POST['txt_cli_nom'];
		$clidir = $_POST['txt_cli_dir']; 
		$clicont = $_POST['txt_cli_con']; 
		
		$clinom =  str_ireplace('"',"",$clinom);
		$clinom =  str_ireplace("'","",$clinom);
		$clidir =  str_ireplace('"',"",$clidir);
		$clidir =  str_ireplace("'","",$clidir);
		$clicont =  str_ireplace('"',"",$clicont);
		$clicont =  str_ireplace("'","",$clicont);


			$oCliente->insertar(
				$_POST['cmb_cli_tip'], 
				limpia_espacios($clinom), 
				$_POST['txt_cli_doc'], 
				'', 
				$_POST['txt_cli_tel'], 
				$_POST['txt_cli_ema'],
				$_POST['txt_cli_cla'],
				intval(0)
				);
				
				$dts=$oCliente->ultimoInsert();
				$dt = mysqli_fetch_array($dts);
				$cli_id=$dt['id'];
				mysqli_free_result($dts);
				

			$oCliente->insertardireccionsunat('1',$clidir,$cli_id);	
			
				
			
			$data['cli_id']=$cli_id;
			$data['cli_msj']='Se registró cliente correctamente.';
		}
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action_cliente']=="editar")
{
	if(!empty($_POST['txt_cli_doc']))
	{
		
		
			
		if($_POST['txt_cli_doc']=='00000000'){
			$rst1 = 0;
		}else{
			
			$cst1 = $oCliente->verifica_cliente_doc($_POST['txt_cli_doc'],$_POST['hdd_cli_id']);
			$rst1= mysqli_num_rows($cst1);
		}
		
	/* 	
		if($rst1>0)
		{
			$dt = mysqli_fetch_array($cst1);
			$cli_id=$dt['tb_cliente_id'];
			mysqli_free_result($cst1);
			
			$data['cli_id']=$cli_id;
			$data['cli_msj']='Existe cliente con el mismo número de documento '.$_POST['txt_cli_doc'].'.';
		}
		else
		{       } */

				$clinom = $_POST['txt_cli_nom'];
				$clidir = $_POST['txt_cli_dir'];
				$clicont = $_POST['txt_cli_con'];
				
				$clinom =  str_ireplace('"',"",$clinom);
				$clinom =  str_ireplace("'","",$clinom);
				$clidir =  str_ireplace('"',"",$clidir);
				$clidir =  str_ireplace("'","",$clidir);
				$clicont =  str_ireplace('"',"",$clicont);
				$clicont =  str_ireplace("'","",$clicont);

			
				$oCliente->modificar(
					$_POST['hdd_cli_id'], 
					$_POST['cmb_cli_tip'], 
					limpia_espacios($clinom), 
					$_POST['txt_cli_doc'], 
					limpia_espacios($clicont), 
					$_POST['txt_cli_tel'], 
					$_POST['txt_cli_ema']
				);
			
			$dts = $oCliente->filtrardirecciones($_POST['hdd_cli_id'],'1');
			$dt = mysqli_fetch_array($dts);
			$clidir_id = $dt['tb_clientedireccion_id'];
			
			$oCliente->editardireccionsunat($clidir,$clidir_id);	
			
			$data['cli_msj']='Se modifico el cliente correctamente.';
			$data['cli_id']=$_POST['hdd_cli_id'];
		
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}


if($_POST['action']=="insertarvehiculo"){
	if(!empty($_POST['cli_id']))
	{
			$oCliente->insertarvehiculo($_POST['pla'],$_POST['mod'],$_POST['mot'],$_POST['caj'],$_POST['cli_id']);	
			
			$data['cli_msj']= 'Vehiculo agregado correctamente.';
	}
	else
	{
		$data['cli_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="insertardireccion"){
	if(!empty($_POST['cli_id']))
	{
			$oCliente->insertardireccionsunat('2',$_POST['dir'],$_POST['cli_id']);	
			
			$data['cli_msj']= 'Direccion agregada correctamente.';
	}
	else
	{
		$data['cli_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="editardireccion"){
	if(!empty($_POST['clidir_id']))
	{
			$oCliente->editardireccionsunat($_POST['dir'],$_POST['clidir_id']);	
			
			$data['cli_msj']= 'Direccion modificada correctamente.';
	}
	else
	{
		$data['cli_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="editarvehiculo"){
	if(!empty($_POST['clivei_id']))
	{
			$oCliente->editarvehiculo($_POST['pla'],$_POST['mod'],$_POST['mot'],$_POST['caj'],$_POST['clivei_id']);	
			
			$data['cli_msj']= 'Vehiculo modificado correctamente.';
	}
	else
	{
		$data['cli_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="eliminar"){
	if(!empty($_POST['cli_id']))
	{
			$oCliente->modificar_campo($_POST['cli_id'],'xac','0');
			echo 'Se eliminó cliente correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action']=="eliminardireccion"){
	if(!empty($_POST['clidir_id']))
	{
			$oCliente->modificar_campodir($_POST['clidir_id'],'xac','0');
			echo 'Se eliminó la direccion correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action']=="eliminarvehiculo"){
	if(!empty($_POST['clivehiid']))
	{
			$oCliente->modificar_campovehi($_POST['clivehiid'],'xac','0');
			echo 'Se eliminó el vehiculo correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action'] == "obtener_datos"){
	if($_POST['cli_id']>0)
	{
		$rs = $oCliente->mostrarUno($_POST['cli_id']);		
		$fila = mysqli_fetch_array($rs);
			$data['telefono'] = $fila['tb_cliente_tel'];
			$data['correo'] = $fila['tb_cliente_ema'];
			$data['direccion'] = $fila['tb_cliente_dir'];
			$data['documento'] = $fila['tb_cliente_doc'];			
			$data['nombre'] = $fila['tb_cliente_nom'];
			$data['tipo'] = $fila['tb_cliente_tip'];
		mysqli_free_result($rs);
	}
	else
	{
		$data['msj']="Error en la obtención de datos del Cliente!";	
	}
	echo json_encode($data);
}
?>